package org.gcube.portlets.user.geoportaldataviewer.client.ui.images;

import org.gcube.portlets.user.geoportaldataviewer.shared.products.content.WorkspaceContentDV;
import org.gcube.portlets.user.geoportaldataviewer.shared.products.model.UploadedImageDV;

import com.github.gwtbootstrap.client.ui.Heading;
import com.github.gwtbootstrap.client.ui.Image;
import com.github.gwtbootstrap.client.ui.Paragraph;
import com.google.gwt.core.client.GWT;
import com.google.gwt.uibinder.client.UiBinder;
import com.google.gwt.uibinder.client.UiField;
import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.Widget;

public class ImageView extends Composite {

	private static ImageViewUiBinder uiBinder = GWT.create(ImageViewUiBinder.class);

	interface ImageViewUiBinder extends UiBinder<Widget, ImageView> {
	}

	public ImageView() {
		initWidget(uiBinder.createAndBindUi(this));
	}

	@UiField
	Image imageURL;
	
	@UiField
	Heading heading;
	
	@UiField
	Paragraph paragraph1;
	

	public ImageView(UploadedImageDV imageDV) {
		initWidget(uiBinder.createAndBindUi(this));
		
		imageDV.getDidascalia();
		heading.setText(imageDV.getTitolo());
		paragraph1.setText(imageDV.getDidascalia());
		
		if(imageDV.getListWsContent()!=null && imageDV.getListWsContent().size()>0) {
			WorkspaceContentDV latest = imageDV.getListWsContent().get(imageDV.getListWsContent().size()-1);
			imageURL.setUrl(latest.getLink());
		}

	}

}
