package org.gcube.portlets.user.geoportaldataviewer.client.ui.products;

import org.gcube.portlets.user.geoportaldataviewer.shared.products.model.RecordDV;

import com.github.gwtbootstrap.client.ui.Column;
import com.google.gwt.core.client.GWT;
import com.google.gwt.dom.client.Style.Unit;
import com.google.gwt.uibinder.client.UiBinder;
import com.google.gwt.uibinder.client.UiField;
import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.FlowPanel;
import com.google.gwt.user.client.ui.Widget;

public class RecordView extends Composite {

	private static RecordViewUiBinder uiBinder = GWT.create(RecordViewUiBinder.class);

	interface RecordViewUiBinder extends UiBinder<Widget, RecordView> {
	}

	@UiField
	Column creationTime;
	
	@UiField
	Column lastUpdateTime;
	
	@UiField
	Column updatedByUser;
	
	public RecordView() {
		initWidget(uiBinder.createAndBindUi(this));
	}

	public RecordView(RecordDV record) {
		initWidget(uiBinder.createAndBindUi(this));
		addLabel(creationTime, record.getCreationTime());
		addLabel(lastUpdateTime, record.getLastUpdateTime());
		addLabel(updatedByUser, record.getLastUpdateUser());
		
	}
	
	public void addLabel(FlowPanel w, String labelValue){
		com.google.gwt.user.client.ui.Label label = new com.google.gwt.user.client.ui.Label(labelValue);
		label.getElement().getStyle().setMarginRight(5, Unit.PX);
		w.add(label);
	}
	

	

}
